Skip to main content
POST
/
api
/
data
Buy Data
curl --request POST \
  --url https://api.mysubwallet.ng/api/data \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "network": 1,
  "phone": "2347013397088",
  "data_plan": 19,
  "request-id": "Data_12345678900",
  "bypass": false
}
'
{
  "network": "MTN",
  "request-id": "Data_12345678900",
  "amount": "100",
  "dataplan": "500MB",
  "status": "success",
  "message": "You have gifted 500MB to 2347013397088.",
  "newbal": 110225,
  "system": "API"
}

Authorizations

Authorization
string
header
required

Your API key as Token <your_api_key>.

Body

application/json
network
integer
required

1 MTN, 2 Airtel, 3 Glo, 4 9mobile.

Example:

1

phone
string
required
Example:

"2347013397088"

data_plan
integer
required

Plan ID from GET /api/data-plan.

Example:

19

request-id
string
required
Example:

"Data_12345678900"

bypass
boolean
default:false

Response

200 - application/json

Result